--Credit to Spring E. Thing and Ryason55 for helping out with this lua.
--This lua causes the character to passively generate one Ring every second when the following conditions are met; The specified character is being played, the game mode is Race, the race has actually begun, and the character is not being tailed by an SPB.

local SKINNAME = "ringmax"

addHook("ThinkFrame",function()
  if (gametype == GT_RACE) and (leveltime % TICRATE == 0) and (leveltime >= starttime) and CV_FindVar("Ring_Raiser").value == 1 then
    for player in players.iterate do
      if player.mo == nil then
        continue
      end
      if (player.mo.skin == SKINNAME) and not (player.pflags & PF_RINGLOCK) then
        player.rings = $ + 1
      end
    end
  end
end)

CV_RegisterVar({name = "Ring_Raiser",
				description = "Enables/disables Ring Max's passive ring generation.",
				defaultvalue = "On",
				flags = CV_NETVAR,
				PossibleValue = CV_OnOff})
